<mamecheat version="1">

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@102177=02</action>
    </script>
  </cheat>

  <cheat desc="Infinite Keys PL1">
    <script state="run">
      <action>maincpu.pb@10217D=06</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <script state="run">
      <action>maincpu.pb@102173=80|(maincpu.pb@102173 BAND ~80)</action>
    </script>
  </cheat>

  <cheat desc="Select Main Weapon PL1">
    <parameter>
      <item value="0x01">Full Auto</item>
      <item value="0x02">3-Way</item>
      <item value="0x03">Fire</item>
      <item value="0x04">Shotgun</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@102180=param</action>
    </script>
  </cheat>

  <cheat desc="Select Extra Weapon PL1">
    <parameter>
      <item value="0x01">H.M.</item>
      <item value="0x02">Nitro</item>
      <item value="0x03">Shower</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@102196=param</action>
    </script>
  </cheat>

  <cheat desc="Always Have Barrier PL1">
    <script state="run">
      <action>maincpu.pb@1021A4=08</action>
    </script>
  </cheat>

  <cheat desc="Infinite Full Auto Ammo PL1">
    <script state="run">
      <action>maincpu.pb@102189=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite 3-Way Ammo PL1">
    <script state="run">
      <action>maincpu.pb@10218D=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Fire Ammo PL1">
    <script state="run">
      <action>maincpu.pb@102191=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Shotgun Ammo PL1">
    <script state="run">
      <action>maincpu.pb@102195=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite H.M Ammo PL1">
    <script state="run">
      <action>maincpu.pb@10219D=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Nitro Ammo PL1">
    <script state="run">
      <action>maincpu.pb@10219F=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Shower Ammo PL1">
    <script state="run">
      <action>maincpu.pb@1021A1=99</action>
    </script>
  </cheat>

  <cheat desc="Always S-Charge Full Auto PL1">
    <script state="run">
      <action>maincpu.pb@102186=01</action>
    </script>
  </cheat>

  <cheat desc="Always S-Charge 3-Way PL1">
    <script state="run">
      <action>maincpu.pb@10218A=01</action>
    </script>
  </cheat>

  <cheat desc="Always S-Charge Fire PL1">
    <script state="run">
      <action>maincpu.pb@10218E=01</action>
    </script>
  </cheat>

  <cheat desc="Always S-Charge Shotgun PL1">
    <script state="run">
      <action>maincpu.pb@102192=01</action>
    </script>
  </cheat>

  <cheat desc="Get Barrier Now! PL1">
    <script state="on">
      <action>maincpu.pb@1021A4=08</action>
    </script>
  </cheat>

  <cheat desc="S-Charge Full Auto Now! PL1">
    <script state="on">
      <action>maincpu.pb@102186=01</action>
    </script>
  </cheat>

  <cheat desc="S-Charge 3-Way Now! PL1">
    <script state="on">
      <action>maincpu.pb@10218A=01</action>
    </script>
  </cheat>

  <cheat desc="S-Charge Fire Now! PL1">
    <script state="on">
      <action>maincpu.pb@10218E=01</action>
    </script>
  </cheat>

  <cheat desc="S-Charge Shotgun Now! PL1">
    <script state="on">
      <action>maincpu.pb@102192=01</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@1021F3=02</action>
    </script>
  </cheat>

  <cheat desc="Infinite Keys PL2">
    <script state="run">
      <action>maincpu.pb@1021F9=06</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action>maincpu.pb@1021EF=80|(maincpu.pb@1021EF BAND ~80)</action>
    </script>
  </cheat>

  <cheat desc="Select Main Weapon PL2">
    <parameter>
      <item value="0x01">Full Auto</item>
      <item value="0x02">3-Way</item>
      <item value="0x03">Fire</item>
      <item value="0x04">Shotgun</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@1021FC=param</action>
    </script>
  </cheat>

  <cheat desc="Select Extra Weapon PL2">
    <parameter>
      <item value="0x01">H.M.</item>
      <item value="0x02">Nitro</item>
      <item value="0x03">Shower</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@102212=param</action>
    </script>
  </cheat>

  <cheat desc="Always Have Barrier PL2">
    <script state="run">
      <action>maincpu.pb@102220=01</action>
    </script>
  </cheat>

  <cheat desc="Infinite Full Auto Ammo PL2">
    <script state="run">
      <action>maincpu.pb@102205=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite 3-Way Ammo PL2">
    <script state="run">
      <action>maincpu.pb@102209=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Fire Ammo PL2">
    <script state="run">
      <action>maincpu.pb@10220D=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Shotgun Ammo PL2">
    <script state="run">
      <action>maincpu.pb@102211=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite H.M. Ammo PL2">
    <script state="run">
      <action>maincpu.pb@102219=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Nitro Ammo PL2">
    <script state="run">
      <action>maincpu.pb@10221B=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Shower Ammo PL2">
    <script state="run">
      <action>maincpu.pb@10221D=99</action>
    </script>
  </cheat>

  <cheat desc="Always S-Charge Full Auto PL2">
    <script state="run">
      <action>maincpu.pb@102202=01</action>
    </script>
  </cheat>

  <cheat desc="Always S-Charge 3-Way PL2">
    <script state="run">
      <action>maincpu.pb@102206=01</action>
    </script>
  </cheat>

  <cheat desc="Always S-Charge Fire PL2">
    <script state="run">
      <action>maincpu.pb@10220A=01</action>
    </script>
  </cheat>

  <cheat desc="Always S-Charge Shotgun PL2">
    <script state="run">
      <action>maincpu.pb@10220E=01</action>
    </script>
  </cheat>

  <cheat desc="Get Barrier Now! PL2">
    <script state="on">
      <action>maincpu.pb@102220=01</action>
    </script>
  </cheat>

  <cheat desc="S-Charge Full Auto Now! PL2">
    <script state="on">
      <action>maincpu.pb@102202=01</action>
    </script>
  </cheat>

  <cheat desc="S-Charge 3-Way Now! PL2">
    <script state="on">
      <action>maincpu.pb@102206=01</action>
    </script>
  </cheat>

  <cheat desc="S-Charge Fire Now! PL2">
    <script state="on">
      <action>maincpu.pb@10220A=01</action>
    </script>
  </cheat>

  <cheat desc="S-Charge Shotgun Now! PL2">
    <script state="on">
      <action>maincpu.pb@10220E=01</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
